%global plugin exploitable
%global snapshot 20210920gitab64075
%global gdb_data /usr/share/gdb/python/%{plugin}
%global gdb_init /etc/gdbinit.d


Name: gdb-%{plugin}
Version: 1.32
Release:    2%{?dist}
Summary: GDB extension for exploitability
License: MIT MIT-CMU BSD-3-Clause
URL: https://github.com/jfoote/exploitable
Source0: %{plugin}.tar.gz
Source1: %{name}.gdb
Patch1: exploitable-distutils.patch

ExclusiveArch: x86_64 loongarch64 noarch

BuildArch: noarch
Requires: gdb

%description
'exploitable' is a GDB extension that classifies Linux application bugs
by severity. The extension inspects the state of a Linux application that
has crashed and outputs a summary of how difficult it might be for an
attacker to exploit the underlying software bug to gain control of the
system. The extension can be used to prioritize bugs for software developers
so that they can address the most severe ones first.

%prep
%setup -q -n %{plugin}
%patch1 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gdb_data}
cp -ra exploitable/* %{buildroot}%{gdb_data}
rm -rf %{buildroot}%{gdb_data}/tests
mkdir -p %{buildroot}%{gdb_init}
cp %{SOURCE1} %{buildroot}%{gdb_init}

%files
%doc README.md AUTHORS.txt
%license LICENSE.md
%dir %{gdb_data}
%{gdb_data}/*
%config(noreplace) %{gdb_init}/*

%changelog
* Thu Nov 14 2024 Pengda Dou <doupengda@loongson.cn> - 1.32-2
- [Type] other
- [DESC] add loongarch64 to ExclusiveArch

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-1
- initial build
